import React from 'react'
import { date2s, time2s } from '../../helpers'

class MatchRow extends React.Component {
  render () {
    const match = this.props.match
    return (
      <tr>
        <td>{match.Ort}</td>
        <td>{date2s(match.Datum)}</td>
        <td>{match.Konkurrenz}</td>
        <td>{match.Spieler1}</td>
        <td>{match.Spieler1Klassierung}</td>
        <td>{match.Spieler2}</td>
        <td>{match.Spieler2Klassierung}</td>
        <td>{match.Resultat}</td>
      </tr>
    )
  }
}

class MatchTable extends React.Component {
  render () {
    const { allMatches, filteredMatches } = this.props.state || { allMatches: [], filteredMatches: [] }

    return (
      <div>
        <h2>Spielerliste ({filteredMatches.length}/{allMatches.length})</h2>
        <table className='table table-bordered table-striped'>
          <thead>
            <tr>
              <th>Ort</th>
              <th>Datum</th>
              <th>Konkurrenz</th>
              <th>Spieler1</th>
              <th>Spieler1Klassierung</th>
              <th>Spieler2</th>
              <th>Spieler2Klassierung</th>
              <th>Resultat</th>
            </tr>
          </thead>
          <tbody>
            {filteredMatches.map((match, key) =>
              <MatchRow key={key} match={match} />
            )}
          </tbody>
        </table>
      </div>
    )
  }
}

export default MatchTable
