import Excel from '../excel'         // Helper files to create Excel files
import Match from '../classes/match'

export function generateCalendar (file) {
  return new Promise((resolve, reject) => {
    console.log('About to read the calendar.')
    Excel.readWorkbook(file).then(worksheets => {
      console.log('got worksheets', worksheets)
      const worksheet = worksheets.Sheet1
      if (worksheet[2].length < 8 | worksheet[2].length > 9) {
        reject(Error('Wrong file structure.'))
      }
      const calendar = worksheet.slice(2, worksheet.length).map((matchData) => new Match.Match(matchData))
      console.log('State after generating calendar:', calendar)
      resolve(calendar)
    }).catch(error => {
      reject(Error(error))
    })
  })
}
