import React from 'react'
import { FormGroup, ControlLabel, FormControl, HelpBlock, Checkbox } from 'react-bootstrap'

function FieldGroup ({ id, label, help, ...props }) {
  return (
    <FormGroup controlId={id}>
      <ControlLabel>{label}</ControlLabel>
      <FormControl {...props} />
      {help && <HelpBlock>{help}</HelpBlock>}
    </FormGroup>
  )
}

class PlayerFilter extends React.Component {
  render () {
    return (
      <form>
        <FieldGroup
          id='filterName'
          type='text'
          label='Name'
        />
        <FormGroup>
          <Checkbox inline>
            Junior
          </Checkbox>
          <Checkbox inline>
            Bezahlt
          </Checkbox>
        </FormGroup>
        <FormGroup controlId='filterCategory'>
          <ControlLabel>Konkurrenz</ControlLabel>
          <FormControl componentClass='select' placeholder='Konkurrenz'>
            <option value='WS 45+'>WS 45+</option>
            <option value='MS 18&U'>MS 18&U</option>
          </FormControl>
        </FormGroup>
      </form>
    )
  }
}

export default PlayerFilter
