import express from 'express'
import cors from 'cors'
import bodyParser from 'body-parser'
import mongoose from 'mongoose'
import config from './config/database'

mongoose.connect(config.database)

import users from './routes/users'
import swisstennis from './routes/swisstennis'
import { authenticate, verify } from './routes/authenticate'

const port = process.env.PORT || 3002
const app = express()
app.use(cors())

app.use(bodyParser.urlencoded({ extended: false }))
app.use(bodyParser.json())

app.get('/', (req, res) => {
  res.send(`Express API at http://localhost:${port}/api`)
})

app.use('/authenticate', authenticate)

const apiRoutes = express.Router()
apiRoutes.use('/users', users)
apiRoutes.use('/swisstennis', swisstennis)
app.use('/api', verify)
app.use('/api', apiRoutes)

app.listen(port)
console.log(`Server running on port ${port}.`)